*** ./solenv/inc/tg_compv.mk.osr6	Thu Sep  8 02:42:24 2005
--- ./solenv/inc/tg_compv.mk	Wed Oct 26 20:22:52 2005
***************
*** 66,78 ****
  CFLAGSNUMVERSION_CMD= -version |& cut -d" " -f4-
  .ENDIF
  
  # that's the version known by the specific
  # compiler
  CCVER:=$(shell -$(CXX) $(CFLAGSVERSION_CMD))
  
  # and a computed integer for comparing
  # each point seperated token blown up to 4 digits
! CCNUMVER:=$(shell -$(CXX) $(CFLAGSNUMVERSION_CMD))
  
  .IF "$(COM)"=="MSC"
  .IF "$(CCNUMVER)">="001200000000"
--- 66,85 ----
  CFLAGSNUMVERSION_CMD= -version |& cut -d" " -f4-
  .ENDIF
  
+ .IF "$(COM)"=="UDK"
+ CFLAGSVERSION= -V
+ CFLAGSVERSION_CMD= -V |& cut -d" " -f4- | grep -v Usage | awk ' { print $3 } '
+ CFLAGSNUMVERSION_CMD=
+ .ENDIF
+ 
  # that's the version known by the specific
  # compiler
  CCVER:=$(shell -$(CXX) $(CFLAGSVERSION_CMD))
  
  # and a computed integer for comparing
  # each point seperated token blown up to 4 digits
! #CCNUMVER:=$(shell -$(CXX) $(CFLAGSNUMVERSION_CMD))
! CCNUMVER=00030004000
  
  .IF "$(COM)"=="MSC"
  .IF "$(CCNUMVER)">="001200000000"
***************
*** 126,131 ****
--- 133,143 ----
  COMNAME=MipsPro
  .ENDIF
  
+ .IF "$(COM)"=="UDK"
+ COMID=unixds
+ COMNAME=UDK
+ .ENDIF
+ 
  .IF "$(COMNAME)"==""
  
  # "EXCEPTIONSFILES" get compiled before this, but shouldn't
*** ./soltools/inc/gen_info.hxx.osr6	Thu Sep  8 00:25:12 2005
--- ./soltools/inc/gen_info.hxx	Wed Oct 26 20:22:52 2005
***************
*** 39,44 ****
--- 39,45 ----
  
  #include "simstr.hxx"
  #include <string.h>
+ #include <strings.h>
  
  
  
*** ./soltools/prj/build.lst.osr6	Fri May  6 02:40:22 2005
--- ./soltools/prj/build.lst	Thu Oct 27 00:49:48 2005
***************
*** 1,4 ****
! so  soltools :   stlport NULL
  so	soltools								usr1	-	all	so_usr1 NULL
  so	soltools\inc							get	-	all	so_inc NULL
  so	soltools\ldump							nmake	-	n	so_ldump so_mkdep NULL
--- 1,4 ----
! so  soltools :   NULL
  so	soltools								usr1	-	all	so_usr1 NULL
  so	soltools\inc							get	-	all	so_inc NULL
  so	soltools\ldump							nmake	-	n	so_ldump so_mkdep NULL
*** ./sysui/prj/build.lst.osr6	Tue Jun 21 08:04:22 2005
--- ./sysui/prj/build.lst	Wed Oct 26 20:22:52 2005
***************
*** 1,4 ****
! su	sysui	:	offapi xml2cmp rdbmaker transex3 setup_native NULL
  su	sysui\source\win32\QuickStart		nmake	-	w	su_win32_quickstart NULL
  su	sysui\source\win32\QuickStart\so	nmake	-	w	su_win32_quickstart_so su_win32_quickstart.w NULL
  su	sysui\desktop\icons					nmake	-	w	su_iconsw NULL
--- 1,4 ----
! su	sysui	:	offapi rdbmaker transex3 setup_native NULL
  su	sysui\source\win32\QuickStart		nmake	-	w	su_win32_quickstart NULL
  su	sysui\source\win32\QuickStart\so	nmake	-	w	su_win32_quickstart_so su_win32_quickstart.w NULL
  su	sysui\desktop\icons					nmake	-	w	su_iconsw NULL
*** ./tools/prj/build.lst.osr6	Fri Feb 11 07:49:57 2005
--- ./tools/prj/build.lst	Wed Oct 26 20:22:52 2005
***************
*** 1,4 ****
! tl	tools	:	cppu external offuh vos ZLIB:zlib expat basegfx comphelper NULL
  tl	tools								usr1	-	all	tl_mkout NULL
  tl	tools\bootstrp\isdll				get		-	all	tl_bsisdll NULL
  tl	tools\bootstrp\addexes				get		-	all	tl_bsexes NULL
--- 1,4 ----
! tl	tools	:	cppu external offuh vos ZLIB:zlib basegfx comphelper NULL
  tl	tools								usr1	-	all	tl_mkout NULL
  tl	tools\bootstrp\isdll				get		-	all	tl_bsisdll NULL
  tl	tools\bootstrp\addexes				get		-	all	tl_bsexes NULL
*** ./vcl/prj/build.lst.osr6	Tue Aug 30 02:37:21 2005
--- ./vcl/prj/build.lst	Thu Oct 27 00:28:14 2005
***************
*** 1,4 ****
! vc	vcl	:	BOOST:boost NAS:nas FREETYPE:freetype psprint rsc sot ucbhelper unotools rvpapi icu i18npool unoil ridljar X11_EXTENSIONS:x11_extensions offuh basegfx SNDFILE:sndfile PORTAUDIO:portaudio transex3 NULL
  vc	vcl										usr1	-	all	vc_mkout NULL
  vc	vcl\source\unotypes						nmake	-	all	vc_unot NULL
  vc	vcl\source\glyphs						nmake	-	all	vc_glyphs vc_unot NULL
--- 1,4 ----
! vc	vcl	:	BOOST:boost NAS:nas FREETYPE:freetype psprint rsc sot ucbhelper unotools rvpapi i18npool unoil ridljar X11_EXTENSIONS:x11_extensions offuh basegfx transex3 NULL
  vc	vcl										usr1	-	all	vc_mkout NULL
  vc	vcl\source\unotypes						nmake	-	all	vc_unot NULL
  vc	vcl\source\glyphs						nmake	-	all	vc_glyphs vc_unot NULL
*** ./xml2cmp/prj/build.lst.osr6	Thu Aug  8 09:07:41 2002
--- ./xml2cmp/prj/build.lst	Thu Oct 27 00:50:14 2005
***************
*** 1,4 ****
! xc  xml2cmp : soltools stlport NULL
  xc  xml2cmp                         usr1    -	all	xc_mkout NULL
  xc  xml2cmp\prj                     get -	all	xc_prj NULL
  xc  xml2cmp\source\support                  nmake   -   all	xc_supp NULL
--- 1,4 ----
! xc  xml2cmp : soltools NULL
  xc  xml2cmp                         usr1    -	all	xc_mkout NULL
  xc  xml2cmp\prj                     get -	all	xc_prj NULL
  xc  xml2cmp\source\support                  nmake   -   all	xc_supp NULL
*** ./xmlhelp/prj/build.lst.osr6	Thu Feb 14 05:22:16 2002
--- ./xmlhelp/prj/build.lst	Wed Oct 26 20:22:52 2005
***************
*** 1,4 ****
! xh	xmlhelp	:	ucbhelper XmlSearch sablot jut unoil berkeleydb NULL
  xh	xmlhelp									usr1	-	all	xh_mkout NULL
  xh	xmlhelp\source\helpprovider				nmake	-	all	xh_helpprovider NULL
  xh	xmlhelp\source\treeview					nmake	-	all	xh_treeview NULL
--- 1,4 ----
! xh	xmlhelp	:	ucbhelper XmlSearch sablot jut unoil NULL
  xh	xmlhelp									usr1	-	all	xh_mkout NULL
  xh	xmlhelp\source\helpprovider				nmake	-	all	xh_helpprovider NULL
  xh	xmlhelp\source\treeview					nmake	-	all	xh_treeview NULL
*** ./Build-OSR6.osr6	Wed Oct 26 20:22:52 2005
--- ./Build-OSR6	Thu Oct 27 12:35:00 2005
***************
*** 0 ****
--- 1,230 ----
+ #!/bin/sh
+ 
+ cp ../SCOUDKI*.zip moz/zipped
+ chmod 755 scripts/*
+ 
+ [ -d config_office ] || {
+   echo "Build script must be run from OpenOffice Source root. Exiting."
+   exit 1
+ }
+ 
+ [ -d logs ] || mkdir logs
+ 
+ # Check dependencies and install if necessary
+ # Run this script in SRC_ROOT folder only
+ PATCH_DIR=`pwd`/patches 	# Location where all patches are stored
+ SRC_ROOT=`pwd` 		#actual root where all openoffice source is thr
+ 
+ # test for General Polygon Clipper library
+ #if test -r ${SRC_ROOT}/external/gpc/gpc.c && 
+ #   test -r ${SRC_ROOT}/external/gpc/gpc.h; then
+ #   echo GPC Lib found 
+ #else
+ #  cp -rf ${PATCH_DIR}/gpc ${SRC_ROOT}/external
+ #fi
+ 
+ PATH=/usr/gnu/bin:${PATH}
+ export PATH
+ 
+ # Here is the script that replaces all ':' of the PATH 
+ # with " " space so that we can run loop on it 
+ ####################################### 
+ BPATH=`echo $PATH | sed  's/^:/.:/
+ 			s/::/:.:/g
+ 			s/:$/:./
+ 			s/:/ /g'`;
+ echo $BPATH
+ #######################################
+ export PATCH_DIR SRC_ROOT BPATH PATH
+ 
+ # 'bison --version' may not work on some versions try checking them 
+ # befor extracting version. the correct version will definitely work
+ # checking for bison
+ for bison in $BPATH
+ do
+   if test -x ${bison}/bison; then
+     bison_version=`${bison}/bison --version 2>/dev/null | grep GNU | sed -e 's@^[^0-9]*@@' -e 's@ .*@@' -e 's@,.*@@'`;
+     bison_longver=`echo $bison_version | awk -F. '{ print \$1*1000+\$2}'`
+     #echo "$bison_longver"
+     # Accept Bison 2.0, check wheather later version work or not 
+     # bison newer tham 1.8 or older then 1.7 work 
+     if test $bison_longver -ge 2000; then
+       echo found Bison $bison_version
+       bison=${bison}/bison
+       break
+     fi
+   fi
+   bison=""   # set to null if not found 
+ done
+ 
+ if test -z "$bison"; then
+   echo no bison found checking for m4...
+ fi
+ 
+ # If no bison found, install it
+ if test -z "$bison"; then
+   # check for m4. 
+   for m4 in $BPATH 
+   do
+     if test -x ${m4}/m4; then
+       if eval "${m4}/m4 --version 2> /dev/null"; then
+         m4_version=`${m4}/m4 --version | sed -e 's@^[^0-9]*@@' -e 's@^.* @@'`;
+         m4_longver=`echo $m4_version | awk -F. '{ print \$1*10+\$2}'`     
+         echo found m4-$m4_version
+         echo $m4_longver
+         if test $m4_longver -ge 14; then
+           break                   
+         fi
+       fi
+     fi
+     m4=""  # if no m4 found set it to empty string
+   done
+ fi
+ 
+ #if Both bison and m4 is not installed install them
+ if test "x$bison" = "x" -a "x$m4" = "x"; then
+   echo INSTALLING M4
+   cp -rf ${PATCH_DIR}/m4-1.4.2 /tmp && \
+   cd /tmp/m4-1.4.2 && \
+   ./configure && \
+   make -i install   
+   if test "$?" != "0"; then 
+      echo ERROR Installing m4
+      { (exit 0); exit 0;}
+   fi
+   cd $SRC_ROOT
+   m4=/usr/local/bin/m4 
+ fi
+ 
+ #If m4 is installed then install bison
+ if test "x$bison" = "x" -a "x$m4" != "x"; then
+   echo INSTALLING Bison-2.0
+   cp -rf ${PATCH_DIR}/bison-2.0 /tmp && \
+   cd /tmp/bison-2.0 && \
+   ./configure && \
+   gmake -i install
+   if test "$?" != "0"; then
+   { (exit 0); exit $?;}
+     #bison=/usr/local/bin/bison
+   fi
+ fi
+ cd $SRC_ROOT
+ if test -x /usr/gnu/bin/gmake; then
+   make_version=`/usr/gnu/bin/gmake -v | grep GNU | sed -e 's@^[^0-9]*@@'` 
+   echo GNU make $make_version
+ fi 
+ 
+ #for vant in $BPATH
+ #do
+ #  if test -n "`echo $vant | grep ant`"; then
+ #    ANT_HOME=`echo $vant | sed -e 's@/bin@@'`; 
+ #    break
+ #  fi
+ #  ant=""
+ #done
+ #if test -d "/usr/ant";then 
+ #  ANT_HOME="/usr/ant"
+ #else
+ #  if  test -z "$ANT_HOME"; then
+ #    echo installing ANT
+ #    cd $PATCH_DIR
+ #    cp -r apache-ant-1.6.2 /usr
+ #    ANT_HOME="/usr/apache-ant-1.6.2"
+ #  fi
+ #fi
+ 
+ ANT_HOME="/usr/ant"
+ ANT=$ANT_HOME/bin/ant
+ PATH=${PATH}:${ANT_HOME}/bin
+ export ANT_HOME PATH ANT
+ 
+ JAVA_HOME="/usr/java"
+ GNU_HOME="/usr/gnu"
+ 
+ if [ "$1" = "-g" ]
+ then
+   CC="gcc -D_REENTRANT -D_NEED_STRINGS_H -DOSR6"
+   CXX="g++ -D_REENTRANT -D_NEED_STRINGS_H -DOSR6"
+   CFLAGS="$CFLAGS -Wall"
+ else
+   CC="cc -Kpthread -Kalloca -D_NEED_STRINGS_H -DOSR6"
+   CXX="CC -Kpthread -Kalloca -D_NEED_STRINGS_H -DOSR6"
+ fi
+ 
+ AR=/usr/bin/ar
+ AS=/usr/bin/as
+ LD=/usr/bin/ld
+ INSTALL="/usr/gnu/bin/install"
+ MAKE=/usr/gnu/bin/gmake
+ STRIP=/usr/bin/strip
+ ARFLAGS=-rv
+ MANPATH=/usr/gnu/man:$MANPATH
+ export ANT_HOME JAVA_HOME GNU_HOME MANPATH PATH
+ export AR AS CC CXX LD MAKE STRIP INSTALL
+ export ARFLAGS ASFLAGS CFLAGS CXXFLAGS LDFLAGS
+ 
+ HOST=i586-sco-sysv5
+ CFLAGS="-O2"
+ INSTALL=/usr/gnu/bin/install
+ NM="nm -p"
+ M4=/usr/gnu/bin/m4
+ if [ "$1" = "-g" ]
+ then
+   CC="gcc -D_REENTRANT"
+   CXX="g++ -D_REENTRANT"
+   CFLAGS="$CFLAGS -Wall"
+ else
+   CC="cc -Kpthread -Kalloca"
+   CXX="CC -Kpthread -Kalloca"
+ fi
+ export CC CXX CFLAGS NM M4 INSTALL
+ cd ${SRC_ROOT}/config_office
+ rm -f ../logs/config_office-configure
+ [ -x /usr/gnu/bin/autoconf ] && /usr/gnu/bin/autoconf
+ ./configure 	\
+ 	--with-jdk-home=/usr/java		\
+ 	--with-ant-home=/usr/ant		\
+ 	--with-zip-home=/usr/bin		\
+ 	--with-system-curl			\
+ 	--with-system-nas			\
+ 	--with-system-freetype			\
+ 	--with-system-zlib			\
+ 	--with-system-jpeg			\
+ 	--with-system-expat			\
+ 	--with-system-libxml			\
+ 	--with-system-python			\
+ 	--with-system-db			\
+ 	--with-system-mozilla			\
+ 	--with-stlport4=/usr		\
+ 	--without-gpc				\
+ 	--enable-symbols			\
+ 	--disable-epm				\
+ 	--disable-gnome-vfs			\
+ 	--with-gnu-cp=/usr/gnu/bin/cp		\
+ 	--with-gnu-patch=/usr/gnu/bin/patch	\
+ 	--prefix=/usr --sysconfdir=/etc 	\
+         --host=$HOST --target=$HOST --build=$HOST 2>&1 | tee ../logs/config_office-configure
+ echo $?
+ cd ..
+ 
+ ########This patch is for UnixWare#######################
+ if test "`uname`"=="UnixWare" ; then
+   if test ! -r ${JAVA_HOME}/include/jni_md.h; then 
+     ln ${JAVA_HOME}/include/unixware/jni_md.h ${JAVA_HOME}/include/jni_md.h
+   fi
+   if test ! -r ${JAVA_HOME}/include/jawt_md.h; then
+     ln ${JAVA_HOME}/include/unixware/jawt_md.h ${JAVA_HOME}/include/jawt_md.h
+   fi
+   if  test ! -x /usr/gnu/bin/make; then
+     ln /usr/gnu/bin/gmake /usr/local/bin/make
+   fi
+   if test ! -x /usr/local/bin/perl; then
+     ln /usr/bin/perl /usr/local/bin/perl
+   fi
+ fi
+ ##############################################################
+ 
+ # Invoke the csh script to setup the environment and run dmake
+ rm -f logs/rundmake
+ ./scripts/rundmake 2>&1 | tee logs/rundmake
+ 
*** ./scripts/rundmake.osr6	Wed Oct 26 20:22:52 2005
--- ./scripts/rundmake	Wed Oct 26 20:22:52 2005
***************
*** 0 ****
--- 1,5 ----
+ #!/usr/bin/tcsh
+ source UnixIntelEnv.Set && \
+ rehash && \
+ ./bootstrap && \
+ dmake/dmake
*** ./scripts/runinstsetup.osr6	Wed Oct 26 20:22:52 2005
--- ./scripts/runinstsetup	Wed Oct 26 20:22:52 2005
***************
*** 0 ****
--- 1,6 ----
+ #!/usr/bin/tcsh
+ source UnixIntelEnv.Set && \
+ rehash && \
+ ./bootstrap && \
+ cd instsetoo/util && \
+ dmake
*** ./scripts/Mkp.osr6	Wed Oct 26 20:22:52 2005
--- ./scripts/Mkp	Wed Oct 26 20:22:52 2005
***************
*** 0 ****
--- 1,13 ----
+ #!/bin/sh
+ 
+ T=patches
+ V=1.1.5
+ rm -f $T/OO-$V-osr6.patch
+ touch $T/OO-$V-osr6.patch
+ 
+ find . -name \*\.00 | while read i
+ do
+     F=`echo $i | sed -e "s/\.00//"`
+     [ -f $F ] && /usr/gnu/bin/diff -u $F.00 $F >> $T/OO-$V-osr6.patch
+ done
+ 
*** ./scripts/Prepsetup.osr6	Wed Oct 26 20:22:52 2005
--- ./scripts/Prepsetup	Wed Oct 26 20:22:52 2005
***************
*** 0 ****
--- 1,14 ----
+ #!/bin/sh
+ 
+ [ -d config_office ] || {
+   echo "Prepsetup script must be run from OpenOffice Source root. Exiting."
+   exit 1
+ }
+ 
+ scripts/Mkp
+ [ -f patches/OO-1.1.5-osr6.patch ] || {
+   echo "Missing patches/OO-1.1.5-osr6.patch. Exiting."
+   exit 1
+ }
+ cp patches/OO-1.1.5-osr6.patch ..
+ tar cf - patches | gzip -9 > ../OO-patches.tar.gz
